---
title: Client.frameType
slug: Web/API/Client/frameType
tags:
  - API
  - Client
  - Experimental
  - NeedsExample
  - Property
  - Reference
  - Service Workers
  - ServiceWorker
  - frameType
---
<p>{{SeeCompatTable}}{{APIRef("Service Workers API")}}</p>

<p>The <code><strong>frameType</strong></code> read-only property of the {{domxref("Client")}} interface indicates the type of browsing context of the current {{domxref("Client")}}. This value can be one of <code>"auxiliary"</code>, <code>"top-level"</code>, <code>"nested"</code>, or <code>"none"</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var <em>myFrameType</em> = <em>client</em>.frameType;</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">TBD
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Service Workers', '#client-frametype', 'frameType')}}</td>
   <td>{{Spec2('Service Workers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Client.frameType")}}</p>
</div>
